Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.dsp.management.ref
Enum DataSourceId.ContentType

    java.lang.Object
      java.lang.Enum<DataSourceId.ContentType>
          com.bea.dsp.management.ref.DataSourceId.ContentType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DataSourceId.ContentType>

Enclosing class:
  DataSourceId

    public static enum DataSourceId.ContentType

extends java.lang.Enum<DataSourceId.ContentType>

Enum Constant Summary
`DF`
`JAVA`
`RDB`
`WS`
`XML`

Method Summary
`static DataSourceId.ContentType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DataSourceId.ContentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RDB

    public static final DataSourceId.ContentType RDB

### WS

    public static final DataSourceId.ContentType WS

### JAVA

    public static final DataSourceId.ContentType JAVA

### DF

    public static final DataSourceId.ContentType DF

### XML

    public static final DataSourceId.ContentType XML

Method Detail

### values

    public static DataSourceId.ContentType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DataSourceId.ContentType c : DataSourceId.ContentType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DataSourceId.ContentType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Oracle. All Rights Reserved.